@use '../../../global/styles/styles-variables' as *;
@use '../../../global/styles/utilities' as *;
@use './styles/dialog.variations' as variations;
@use './styles/dialog.variables' as *;

:host {
	@include digi-dialog--variables;
	$base: '.digi-dialog';

	.digi-dialog {
		&--primary {
			@include variations.primary;
		}

		&--secondary {
			@include variations.secondary;
		}

		&--small {
			@include variations.small;
		}

		&--medium {
			@include variations.medium;
		}

		&--large {
			@include variations.large;
		}

		overflow-x: hidden;
		overflow-y: auto;
		position: var(--digi--dialog--backdrop--position);
		opacity: var(--digi--dialog--backdrop--opacity);
		z-index: var(--digi--dialog--backdrop--z--index);
		left: var(--digi--dialog--backdrop--left);
		top: var(--digi--dialog--backdrop--top);
		width: var(--digi--dialog--backdrop--width);
		height: var(--digi--dialog--backdrop--height);
		background-color: var(--digi--dialog--backdrop--background--color);
		display: var(--digi--dialog--backdrop--display);
		justify-content: var(--digi--dialog--backdrop--justify--content);
		align-items: var(--digi--dialog--backdrop--align--items);
		padding: var(--digi--padding--medium);
		box-sizing: border-box;

		// Styling here...
		&__keydown-handler {
			width: 100%;
			max-height: 100%;
		}

		&__content {
			background: var(--DIGI--DIALOG--COLOR--BACKGROUND);
			color: var(--DIGI--DIALOG--COLOR);
			max-width: var(--DIGI--DIALOG--CONTENT--WIDTH);
			width: 100%;
			margin: var(--digi--dialog--content--margin);
			padding: var(--digi--padding--smaller) var(--digi--dialog--content--padding) var(--digi--dialog--content--padding) var(--digi--dialog--content--padding);
			box-sizing: border-box;
		}

		&__close-button {
			--digi--button--color--text--function--default: var(--DIGI--DIALOG--COLOR);
			--digi--button--color--text--function--hover: var(--DIGI--DIALOG--COLOR);
			--digi--button--color--icon--function--default: var(--digi--dialog--icon--color--primary);
  		--digi--button--color--icon--function--hover: var(--digi--dialog--icon--color--primary--hover);

			display: var(--digi--dialog--close--button--display);
			justify-content: var(--digi--dialog--close--button--justify--content);
			margin-right: var(--digi--dialog--close--button--margin--right);

		}
		

		&__button-container {
			display: var(--digi--dialog--button--container--display);
			flex-wrap: var(--digi--dialog--button--container--flex-wrap);

			gap: var(--digi--dialog--button--container--gap);
			padding-top: var(--digi--dialog--button--container--padding--top);

			digi-button,
			.digi-button--medium {
				:first-of-type {
					--digi--button--color--border--primary--default: var(--DIGI--DIALOG--CONTENT--BUTTON--COLOR--BORDER--PRIMARY);
					--digi--button--color--border--primary--hover: var(--DIGI--DIALOG--CONTENT--BUTTON--COLOR--BORDER--PRIMARY);
				}

				text-align: var(--digi--dialog--button--text--align--mobile);
			}
		}
	}
}



